##backend
1. create entity product and test.
2. create product repository and test.
3. create product request to save product.
4. create table product and init in db.
5. should return zero if products is null.
6. should create product.
7. should get all product.
8. should remove product.
